Page MenuHomePhabricator

Create a service for session storage
Open, NormalPublic

Description

Implement a multi-master (multi-DC) session storage service.

See T206010: RfC: Session storage service interface and T206015: Plan/design a session storage service, for interface (RfC) and software design respectively.

Related Objects

StatusAssignedTask
Openaaron
OpenEevans
ResolvedEevans
ResolvedEevans
OpenEevans
ResolvedClarakosi
DeclinedEevans
OpenEevans
ResolvedEevans
ResolvedEevans
OpenEevans
OpenEevans
OpenEvanProdromou
OpenBPirkle
OpenEvanProdromou
OpenEvanProdromou
OpenEvanProdromou
OpenBPirkle
ResolvedBPirkle
OpenBPirkle
ResolvedEevans
Resolvedfgiunchedi
Resolved Dzahn
ResolvedEevans
Resolvedsbassett
OpenEevans
OpenEevans
ResolvedEvanProdromou
ResolvedEvanProdromou
OpenEevans
ResolvedEevans
OpenEevans

Event Timeline

Eevans created this task.Oct 2 2018, 7:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2018, 7:24 PM
Eevans moved this task from Backlog to In-Progress on the User-Eevans board.Oct 2 2018, 7:34 PM
Eevans triaged this task as Normal priority.
Eevans added a subscriber: CCicalese_WMF.
Eevans renamed this task from Implement multi-DC session storage service to Implement session storage service.
Eevans moved this task from In-Progress to Next on the User-Eevans board.Nov 6 2018, 9:56 PM
Eevans renamed this task from Implement session storage service to Session storage service: Implementation.Nov 8 2018, 7:52 PM
Eevans updated the task description. (Show Details)
Eevans edited subscribers, added: Clarakosi; removed: dr0ptp4kt.
Eevans renamed this task from Session storage service: Implementation to Implement a session storage service.Dec 11 2018, 8:16 PM
Eevans updated the task description. (Show Details)
Eevans renamed this task from Implement a session storage service to Create a service for session storage.Dec 13 2018, 5:19 PM

Change 484431 had a related patch set uploaded (by Eevans; owner: Eevans):
[mediawiki/services/kask@master] Relocate defer to immediately after DB init

https://gerrit.wikimedia.org/r/484431

Change 484431 merged by Eevans:
[mediawiki/services/kask@master] Relocate defer to immediately after DB init

https://gerrit.wikimedia.org/r/484431

Change 484598 had a related patch set uploaded (by Clarakosi; owner: Clarakosi):
[mediawiki/services/kask@master] Modified integration tests

https://gerrit.wikimedia.org/r/484598

Change 484598 merged by Eevans:
[mediawiki/services/kask@master] Remove integration test setup and teardown

https://gerrit.wikimedia.org/r/484598

Clarakosi moved this task from Backlog to In-Progress on the User-Clarakosi board.Feb 8 2019, 5:44 PM
Eevans moved this task from Next to In-Progress on the User-Eevans board.Feb 13 2019, 3:25 PM